function [n1 n2 as1 as2 gc1 gc2 rc1 rc2]=ASFileParse(ASfile)
% n1 is the provider's number of network 1
% n2 is the provider's number of network 2
% gc1 is the provider's cost of network 1
% gc2 is the provider's cost of network 2
% rc1 is 3*n matrix and the first row is the route cost from network 1 to
% network 2, the second row the minimum hop number of each route, the third
% row is the diversity of each path
% rc2 is 3*n matrix and the first row is the route cost from network 2 to
% network 1, the second row the minimum hop number of each route, the third
% row is the diversity of each path
% as1 is the AS number of network 1's provider
% as2 is the AS number of network 2's provider
N = 5;
fid = fopen(ASfile,'r');
n1 = fscanf(fid, '%f', 2);
n1 = n1(2);
gc1 = fscanf(fid, '%f %f', [2,n1]);
as1 = gc1(1,:);
gc1 = N*gc1(2,:);
n2 = fscanf(fid, '%f', 2);
n2 = n2(2);
gc2 = fscanf(fid, '%f %f', [2,n2]);
as2 = gc2(1,:);
gc2 = N*gc2(2,:);

rc1 = zeros(3, n1*n2);
rc2 = zeros(3, n1*n2);

for i=1:n1*n2
    fscanf(fid, '%f %f', [2,1]);
    div = fscanf(fid, '%f', 1);
    hop = fscanf(fid, '%f', div);
    rc1(2,i)=min(hop);
    rc1(3,i)=div;
    rc1(1,i)=PCfunction(hop);
end
for i=1:n1*n2
    fscanf(fid, '%f %f', [2,1]);
    div = fscanf(fid, '%f', 1);
    hop = fscanf(fid, '%f', div);
    rc2(2,i)=min(hop);
    rc2(1,i)=PCfunction(hop);
    rc2(3,i)=div;
end
fclose(fid);